import { Log } from './log';
export declare class PhotonError extends Error {
    constructor(log: Log);
}
export declare class PhotonQueryError extends Error {
    constructor(message: string);
}
/**
 * Engine Base Class used by Browser and Node.js
 */
export declare abstract class Engine {
    /**
     * Starts the engine
     */
    abstract start(): Promise<void>;
    /**
     * If Prisma runs, stop it
     */
    abstract stop(): void;
    abstract request<T>(query: string, typeName?: string): Promise<T>;
    abstract handleErrors({ errors, query }: {
        errors?: any;
        query: string;
    }): void;
}
