declare type RustLogLevel = 'CRIT' | 'ERRO' | 'WARN' | 'INFO' | 'DEBG' | 'TRCE';
export declare type LogLevel = 'critical' | 'error' | 'warning' | 'info' | 'debug' | 'trace';
export interface RustLog {
    msg: string;
    level: RustLogLevel;
    ts: string;
    application: string;
}
export interface Log {
    message: string;
    level: LogLevel;
    date: Date;
    application: string;
    [key: string]: string | Date;
}
export declare function convertLog(rustLog: RustLog): Log;
export {};
